<section class="section bg-white py-0 " id="introduction">
    <div class="myModal mymodeloverwrite">
        <div class="row canAppDiv modal-dialog modal-lg">

            <div class="col-md-12 modal-content model_overwrite">
                <div class="noDecor modal-body model_overwrite">
                    <div id="VerifyEmail-step">

                        <div class="form-horizontal bg-white">
                            <div class="text-center">
                                <a (click)="close()"><img class="logo-default" src="./assets/img/CANExchange.svg" width="auto" height="23px" alt="logo"></a>
                            </div>
                            <div class="form-progressbar nav-bar">
                                <div class="step step-details done">
                                    <span class="arrow fa fa-caret-down"></span>Details</div>
                                <div class="step step-payment-method done previous-done">
                                    <span class="arrow fa fa-caret-down "></span>Payment</div>
                                <div class="step step-deposit active previous-done">
                                    <span class="arrow fa fa-caret-down"></span>Deposit</div>
                                <div class="step step-complete">
                                    <span class="arrow fa fa-caret-down"></span>Complete</div>
                            </div>

                            <div class="text-center deposit-body">
                                <h5>
                                    <span class="listening">Pay exactly&nbsp;</span>
                                    <span *ngIf="formData.currency != 'ETH'">{{formData.eth}}</span>
                                    <span *ngIf="formData.currency == 'ETH'">{{formData.eth | number : '1.6-6'}}</span> {{formData.currency}}
                                    <span class="listening"> here:</span>
                                </h5>

                                <div class="alert alert-success" *ngIf="metamaskpayment">
                                    <strong>Success!</strong> This alert box could indicate a successful or positive action.
                                </div>

                                <div class="qr-img">
                                    <qr-code [value]="etheriumAddress" [size]="220" *ngIf="ethStatus"></qr-code>
                                    <qr-code [value]="etheriumAddress" [size]="220" *ngIf="!ethStatus"></qr-code>
                                </div>
                                <div class="address-text">
                                    <input type="text" value="{{etheriumAddress}}" disabled *ngIf="ethStatus">
                                    <input type="text" value="{{etheriumAddress}}" disabled *ngIf="!ethStatus">
                                    <span class="copy-btn">
                                        <img src="./assets/img/CANExchange_Copy.svg" ngxClipboard [cbContent]="etheriumAddress" (click)="copyToClipboard(etheriumAddress)"
                                            *ngIf="ethStatus">
                                        <img src="./assets/img/CANExchange_Copy.svg" ngxClipboard [cbContent]="etheriumAddress" (click)="copyToClipboard(etheriumAddress)"
                                            *ngIf="!ethStatus">
                                    </span>
                                    <span *ngIf="copied" style="position: absolute; right: -5px; margin-top: 8%">Copied</span>
                                </div>

                                <div class="order-text">Your order ID is
                                    <b style="color: #6d6d6d;"><a href="{{orderUrl}}" target="_blank">{{formData.key}}</a> </b>
                                </div>

                                <div class="listening-payment">
                                    <b class="listening">Listening for Payment</b> &nbsp;
                                    <img src="./assets/img/CANExchange_listening.svg">
                                </div>
                            </div>

                            <div class="footer-buttons text-center">
                                <span *ngIf="dai" style="position: absolute; right: 6%">Metamask Not Supported</span>
                                <div class="tip-button float-right" (click)="metamask()" *ngIf="formData.currency !== 'Dai'"> </div>
                                <button class="btn btn-outline btn-white-trans float-left" (click)="cancel();">
                                    cancel</button>
                                <div class="spinner">
                                    <div class="bounce1"></div>
                                    <div class="bounce2"></div>
                                    <div class="bounce3"></div>
                                </div>
                            </div>

                            <div class="text-center help-line">
                                <a href="#">Need Help?</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</section>